Bug 1041447 (CVE-2017-9265)

Summary: VUL-0: CVE-2017-9265: openvswitch: Buffer over-read while parsing the group mod OpenFlow message sent from the controller
Product: [Novell Products] SUSE Security Incidents Reporter: Johannes Segitz <jsegitz>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/185999/
Whiteboard: CVSSv2:SUSE:CVE-2017-9265:5.8:(AV:N/AC:M/Au:N/C:P/I:N/A:P) CVSSv3:SUSE:CVE-2017-9265:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L) CVSSv3:RedHat:CVE-2017-9265:5.6:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L) CVSSv2:NVD:CVE-2017-9265:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv3:NVD:CVE-2017-9265:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: test

Description Johannes Segitz 2017-05-29 13:06:58 UTC
CVE-2017-9265

In Open vSwitch (OvS) v2.7.0, there is a buffer over-read while parsing the
group mod OpenFlow message sent from the controller in `lib/ofp-util.c` in the
function `ofputil_pull_ofp15_group_mod`.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9265
https://mail.openvswitch.org/pipermail/ovs-dev/2017-May/332965.html
Comment 5 Swamp Workflow Management 2017-08-18 13:12:26 UTC
SUSE-SU-2017:2212-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1002734,1041447,1041470,1050896
CVE References: CVE-2017-9263,CVE-2017-9265
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    openvswitch-2.7.0-3.3.1
Comment 6 Swamp Workflow Management 2017-08-28 13:09:09 UTC
openSUSE-SU-2017:2272-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1002734,1041447,1041470,1050896
CVE References: CVE-2017-9263,CVE-2017-9265
Sources used:
openSUSE Leap 42.3 (src):    openvswitch-2.7.0-4.1
Comment 7 Markos Chandras 2017-09-19 09:09:21 UTC
Fix accepted so marking as RESOLVED
Comment 9 Johannes Segitz 2017-09-19 14:45:14 UTC
reopened for tracking
Comment 10 Swamp Workflow Management 2018-01-31 14:07:18 UTC
SUSE-SU-2018:0311-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1040543,1041447,1041470,1061310
CVE References: CVE-2017-14970,CVE-2017-9214,CVE-2017-9263,CVE-2017-9265
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    openvswitch-2.5.1-25.12.7
SUSE Linux Enterprise Server 12-SP2 (src):    openvswitch-2.5.1-25.12.7, openvswitch-dpdk-2.5.1-25.12.8
Comment 11 Marcus Meissner 2018-02-12 21:08:33 UTC
released
Comment 12 Swamp Workflow Management 2018-02-21 11:11:00 UTC
SUSE-SU-2018:0505-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1040543,1041447,1041470,1050896,1061310
CVE References: CVE-2017-14970,CVE-2017-9214,CVE-2017-9263,CVE-2017-9265
Sources used:
SUSE OpenStack Cloud 6 (src):    openvswitch-2.5.1-6.4.7